TencentNavKit

Properties | List of all members
TNKDriveRoute Class Reference

算路的路线数据类 More...

`#import <TNKDriveCommonObj.h>`

Inheritance diagram for TNKDriveRoute:

## Properties
NSString * | recommendReason
| 路线标签。比如：时间段、距离短等。 More...
NSArray< TNKCoordinatePoint * > * | routePoints
| 组成路线形状的坐标点数组 More...
NSString * | routeID
| 路线ID More...
int | totalDistance
| 总距离. 单位，米 More...
int | totalTime
| 总预计时间. 单位，分钟 More...
int | trafficLightCount
| 路线红绿灯个数 More...
int | fee
| 路线预计所需高速费 单位: 元 More...
int | tollDistance
| 路线预计收费路段的里程，单位:米 More...
TNKSearchNavPoint * | origin
| 导航起点 More...
TNKSearchNavPoint * | destination
| 导航终点 More...
NSArray< TNKNavToWayPointInfo * > * | waypoints
| 途经点信息, 可为空 More...
NSArray< TNKRouteTrafficItem * > * | routeTrafficItems
| 路线规划时的路况状态数据. More...
NSArray< TNKSegmentItem * > * | segmentItems
| 路线规划时的路线segment数据. More...
NSArray< TNKDriveRouteExplain * > * | routeExplainItems
| 路线解释性信息. since 5.2.4 More...
NSArray< TNKRoutePoint * > * | trafficLights
| 路线红绿灯信息. More...
NSArray< TNKForkPoint * > * | forkPoints
| 与其他路线的分歧点信息 More...
int | bkRecommendType
| 备选路线推路线推荐的理由。-1-默认，0-更快，1-封路，2-限行。 More...
NSArray< TNKTurnRestrictionItem * > * | turnRestrictionItems
| 违反交规信息类列表 More...
NSArray< TNKTruckRestrictionItem * > * | truckRestrictionItems
| 违反货车限制交规信息列表 More...
NSArray< NSNumber * > * | customTags
| 个性化路线客户标签 More...
TNKDriveLimitStatus | limitStatus
| 限行信息。 通过(limitStatus & TNKDriveLimitStatusLimitAtStart)、(limitStatus & TNKDriveLimitStatusLimitEnd)去判断限行状态 More...
NSString * | experienceRouteID
| 货车经验路线id。没有则为空字符串 More...

## Detailed Description

算路的路线数据类

## Property Documentation

## ◆ bkRecommendType

- (int) bkRecommendType
| readnonatomicassign

备选路线推路线推荐的理由。-1-默认，0-更快，1-封路，2-限行。

Since
  5.4.1

## ◆ customTags

- (NSArray<NSNumber *>*) customTags
| readnonatomicassign

个性化路线客户标签

Since
  6.4.0

## ◆ destination

- (TNKSearchNavPoint*) destination
| readnonatomicassign

导航终点

## ◆ experienceRouteID

- (NSString*) experienceRouteID
| readnonatomicassign

货车经验路线id。没有则为空字符串

Since
  6.6.0

## ◆ fee

- (int) fee
| readnonatomicassign

路线预计所需高速费 单位: 元

## ◆ forkPoints

- (NSArray<TNKForkPoint *>*) forkPoints
| readnonatomicassign

与其他路线的分歧点信息

## ◆ limitStatus

- (TNKDriveLimitStatus) limitStatus
| readnonatomicassign

限行信息。 通过(limitStatus & TNKDriveLimitStatusLimitAtStart)、(limitStatus & TNKDriveLimitStatusLimitEnd)去判断限行状态

Since
  6.5.0

## ◆ origin

- (TNKSearchNavPoint*) origin
| readnonatomicassign

导航起点

## ◆ recommendReason

- (NSString*) recommendReason
| readnonatomicassign

路线标签。比如：时间段、距离短等。

## ◆ routeExplainItems

- (NSArray<TNKDriveRouteExplain *>*) routeExplainItems
| readnonatomicassign

路线解释性信息. since 5.2.4

## ◆ routeID

- (NSString*) routeID
| readnonatomicassign

路线ID

## ◆ routePoints

- (NSArray<TNKCoordinatePoint *>*) routePoints
| readnonatomicassign

组成路线形状的坐标点数组

## ◆ routeTrafficItems

- (NSArray<TNKRouteTrafficItem *>*) routeTrafficItems
| readnonatomicassign

路线规划时的路况状态数据.

## ◆ segmentItems

- (NSArray<TNKSegmentItem *>*) segmentItems
| readnonatomicassign

路线规划时的路线segment数据.

## ◆ tollDistance

- (int) tollDistance
| readnonatomicassign

路线预计收费路段的里程，单位:米

Since
  6.3.0

## ◆ totalDistance

- (int) totalDistance
| readnonatomicassign

总距离. 单位，米

## ◆ totalTime

- (int) totalTime
| readnonatomicassign

总预计时间. 单位，分钟

## ◆ trafficLightCount

- (int) trafficLightCount
| readnonatomicassign

路线红绿灯个数

## ◆ trafficLights

- (NSArray<TNKRoutePoint *>*) trafficLights
| readnonatomicassign

路线红绿灯信息.

Since
  5.3.1

## ◆ truckRestrictionItems

- (NSArray<TNKTruckRestrictionItem *>*) truckRestrictionItems
| readnonatomicassign

违反货车限制交规信息列表

Since
  6.3.0

## ◆ turnRestrictionItems

- (NSArray<TNKTurnRestrictionItem *>*) turnRestrictionItems
| readnonatomicassign

违反交规信息类列表

Since
  6.3.0

## ◆ waypoints

- (NSArray<TNKNavToWayPointInfo *>*) waypoints
| readnonatomicassign

途经点信息, 可为空

The documentation for this class was generated from the following file:

- TNKDriveCommonObj.h